com.microfocus.awm.meta.modelextension

## Class StringModelExtensionAttribute

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.SimpleModelExtensionAttribute
    - - com.microfocus.awm.meta.modelextension.StringModelExtensionAttribute

- Direct Known Subclasses:
    FunctionPackageParameter

      public abstract class StringModelExtensionAttribute
      extends SimpleModelExtensionAttribute

  Abstract class for string based model extension attributes.

  Copyright Micro Focus GmbH.

  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringModelExtensionAttribute(java.lang.String pID, EModelExtensionAttributeType pType, java.lang.String pDefaultValue, boolean pMandatory, java.util.List<java.lang.String> pRestrictions, java.lang.String pLabel, java.lang.String pCategory, java.lang.String pDescription, boolean pModelLabel, FunctionPackageExtension pFunctionPackage)` Basic constructor.
    `StringModelExtensionAttribute(java.lang.String pID, EModelExtensionAttributeType pType, java.lang.String pDefaultValue, boolean pMandatory, java.util.List<java.lang.String> pRestrictions, java.lang.String pLabel, java.lang.String pCategory, java.lang.String pDescription, boolean pModelLabel, ICustomRestriction<?> pCustomRestriction, FunctionPackageExtension pFunctionPackage)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ICustomRestriction<?>` | `getCustomRestriction()` Gets the `ICustomRestriction`
    `java.lang.String` | `getDefaultValue()` Gets the default value.
    `java.util.List<java.lang.String>` | `getRestrictions()` Gets the restrictions.
    `EModelExtensionAttributeType` | `getType()` Gets the type.

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.SimpleModelExtensionAttribute

      `getCategory, getDescription, isMandatory, isMultiLine, setMultiLine`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringModelExtensionAttribute

          public StringModelExtensionAttribute(java.lang.String pID,
                                               EModelExtensionAttributeType pType,
                                               java.lang.String pDefaultValue,
                                               boolean pMandatory,
                                               java.util.List<java.lang.String> pRestrictions,
                                               java.lang.String pLabel,
                                               java.lang.String pCategory,
                                               java.lang.String pDescription,
                                               boolean pModelLabel,
                                               FunctionPackageExtension pFunctionPackage)

      Basic constructor.
      Parameters:
        `pID` - the ID
        `pType` - the attribute type
        `pDefaultValue` - the default value (can be `null`)
        `pMandatory` - whether the attribute is mandatory
        `pRestrictions` - value restrictions (can be `null`)
        `pLabel` - the label (can be `null`)
        `pCategory` - the category (can be `null`)
        `pDescription` - the attribute description (can be `null`)
        `pModelLabel` - whether the attribute and value should be used as a label in the model editor
        `pFunctionPackage` - the defining function package

    - #### StringModelExtensionAttribute

          public StringModelExtensionAttribute(java.lang.String pID,
                                               EModelExtensionAttributeType pType,
                                               java.lang.String pDefaultValue,
                                               boolean pMandatory,
                                               java.util.List<java.lang.String> pRestrictions,
                                               java.lang.String pLabel,
                                               java.lang.String pCategory,
                                               java.lang.String pDescription,
                                               boolean pModelLabel,
                                               ICustomRestriction<?> pCustomRestriction,
                                               FunctionPackageExtension pFunctionPackage)

      Basic constructor.
      Parameters:
        `pID` - the ID
        `pType` - the attribute type
        `pDefaultValue` - the default value (can be `null`)
        `pMandatory` - whether the attribute is mandatory
        `pRestrictions` - value restrictions (can be `null`)
        `pLabel` - the label (can be `null`)
        `pCategory` - the category (can be `null`)
        `pDescription` - the attribute description (can be `null`)
        `pModelLabel` - whether the attribute and value should be used as a label in the model editor
        `pCustomRestriction` - the custom restriction attribute. See `ICustomRestriction`. Can be `null`, if no custom restriction was defined.
        `pFunctionPackage` - the defining function package

  - ### Method Detail

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Gets the default value.
      Returns:
        the default value

    - #### getRestrictions

          public java.util.List<java.lang.String> getRestrictions()

      Gets the restrictions.
      Returns:
        the restrictions

    - #### getType

          public EModelExtensionAttributeType getType()

      Gets the type.
      Returns:
        the type

    - #### getCustomRestriction

          public ICustomRestriction<?> getCustomRestriction()

      Gets the `ICustomRestriction`
      Returns:
        the `ICustomRestriction`. Can be `null` if none was set.

Copyright © 2015 Micro Focus GmbH. All rights reserved.